[arch-commits] Commit in btrfs-progs/repos (13 files)

Sébastien Luttringer seblu at archlinux.org
Sun May 17 11:13:50 UTC 2020


    Date: Sunday, May 17, 2020 @ 11:13:50
  Author: seblu
Revision: 385416

db-move: moved btrfs-progs from [testing] to [core] (x86_64)

Added:
  btrfs-progs/repos/core-x86_64/PKGBUILD
    (from rev 385415, btrfs-progs/repos/testing-x86_64/PKGBUILD)
  btrfs-progs/repos/core-x86_64/btrfs-progs.install
    (from rev 385415, btrfs-progs/repos/testing-x86_64/btrfs-progs.install)
  btrfs-progs/repos/core-x86_64/btrfs-scrub at .service
    (from rev 385415, btrfs-progs/repos/testing-x86_64/btrfs-scrub at .service)
  btrfs-progs/repos/core-x86_64/btrfs-scrub at .timer
    (from rev 385415, btrfs-progs/repos/testing-x86_64/btrfs-scrub at .timer)
  btrfs-progs/repos/core-x86_64/initcpio-hook-btrfs
    (from rev 385415, btrfs-progs/repos/testing-x86_64/initcpio-hook-btrfs)
  btrfs-progs/repos/core-x86_64/initcpio-install-btrfs
    (from rev 385415, btrfs-progs/repos/testing-x86_64/initcpio-install-btrfs)
Deleted:
  btrfs-progs/repos/core-x86_64/PKGBUILD
  btrfs-progs/repos/core-x86_64/btrfs-progs.install
  btrfs-progs/repos/core-x86_64/btrfs-scrub at .service
  btrfs-progs/repos/core-x86_64/btrfs-scrub at .timer
  btrfs-progs/repos/core-x86_64/initcpio-hook-btrfs
  btrfs-progs/repos/core-x86_64/initcpio-install-btrfs
  btrfs-progs/repos/testing-x86_64/

------------------------------------+
 /PKGBUILD                          |   76 +++++++++++++++++++++++++++++++++++
 /btrfs-progs.install               |   15 ++++++
 /btrfs-scrub at .service              |    8 +++
 /btrfs-scrub at .timer                |   11 +++++
 /initcpio-hook-btrfs               |    7 +++
 /initcpio-install-btrfs            |   17 +++++++
 core-x86_64/PKGBUILD               |   74 ----------------------------------
 core-x86_64/btrfs-progs.install    |   15 ------
 core-x86_64/btrfs-scrub at .service   |    8 ---
 core-x86_64/btrfs-scrub at .timer     |   11 -----
 core-x86_64/initcpio-hook-btrfs    |    7 ---
 core-x86_64/initcpio-install-btrfs |   17 -------
 12 files changed, 134 insertions(+), 132 deletions(-)

Deleted: core-x86_64/PKGBUILD
===================================================================
--- core-x86_64/PKGBUILD	2020-05-17 10:28:17 UTC (rev 385415)
+++ core-x86_64/PKGBUILD	2020-05-17 11:13:50 UTC (rev 385416)
@@ -1,74 +0,0 @@
-# Maintainer: Sébastien "Seblu" Luttringer <seblu at archlinux.org>
-# Contributor: Tom Gundersen <teg at jklm.no>
-# Contributor: Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=btrfs-progs
-pkgver=5.6.1
-pkgrel=1
-pkgdesc='Btrfs filesystem utilities'
-arch=('x86_64')
-makedepends=('git' 'asciidoc' 'xmlto' 'systemd' 'python' 'python-setuptools')
-depends=('glibc' 'libutil-linux' 'lzo' 'zlib' 'zstd' 'libgcrypt' 'e2fsprogs' 'reiserfsprogs')
-optdepends=('python: libbtrfsutil python bindings')
-url='https://btrfs.wiki.kernel.org'
-replaces=('btrfs-progs-unstable')
-conflicts=('btrfs-progs-unstable')
-provides=('btrfs-progs-unstable')
-license=('GPL2')
-validpgpkeys=('F2B41200C54EFB30380C1756C565D5F9D76D583B')
-source=("https://www.kernel.org/pub/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v$pkgver.tar."{sign,xz}
-        'initcpio-install-btrfs'
-        'initcpio-hook-btrfs'
-        'btrfs-scrub at .service'
-        'btrfs-scrub at .timer')
-install=btrfs-progs.install
-options=(!staticlibs)
-sha256sums=('SKIP'
-            '50ccf556b887018f35937626f9a6e799c1e69692778b2bb090d2a56c9bdc96db'
-            'bbe60b35d1b1e2efc1308a8f54f1fdc6808240a81c5f5b4d75321b7ee86e41f4'
-            '35efeee8590d6d60c711ae9cdc918e4841ab61d10cb02359e65e36ebff95ffc5'
-            '8b1f8a1176141c5c6abe772dcb93cd87c083c7415c856b4fcb563491c9916836'
-            '7cbeebee2a561e468c0ce1d33107fa968da76109df1b693e48b501971a462444')
-
-prepare() {
-  cd $pkgname-v$pkgver
-  # apply patch from the source array (should be a pacman feature)
-  local src
-  for src in "${source[@]}"; do
-    src="${src%%::*}"
-    src="${src##*/}"
-    [[ $src = *.patch ]] || continue
-    msg2 "Applying patch $src..."
-    patch -Np1 < "../$src"
-  done
-}
-
-build() {
-  cd $pkgname-v$pkgver
-  ./configure --prefix=/usr --with-crypto=libgcrypt
-  make
-}
-
-check() {
-  cd $pkgname-v$pkgver
- ./btrfs filesystem show
-}
-
-package() {
-  cd $pkgname-v$pkgver
-  make DESTDIR="$pkgdir" install install_python
-
-  # install bash completion (FS#44618)
-  install -Dm644 btrfs-completion "$pkgdir/usr/share/bash-completion/completions/btrfs"
-
-  # install mkinitcpio hooks
-  cd "$srcdir"
-  install -Dm644 initcpio-install-btrfs "$pkgdir/usr/lib/initcpio/install/btrfs"
-  install -Dm644 initcpio-hook-btrfs "$pkgdir/usr/lib/initcpio/hooks/btrfs"
-
-  # install scrub service/timer
-  install -Dm644 btrfs-scrub at .service "$pkgdir/usr/lib/systemd/system/btrfs-scrub at .service"
-  install -Dm644 btrfs-scrub at .timer "$pkgdir/usr/lib/systemd/system/btrfs-scrub at .timer"
-}
-
-# vim:set ts=2 sw=2 ft=sh et:

Copied: btrfs-progs/repos/core-x86_64/PKGBUILD (from rev 385415, btrfs-progs/repos/testing-x86_64/PKGBUILD)
===================================================================
--- core-x86_64/PKGBUILD	                        (rev 0)
+++ core-x86_64/PKGBUILD	2020-05-17 11:13:50 UTC (rev 385416)
@@ -0,0 +1,76 @@
+# Maintainer: Sébastien "Seblu" Luttringer <seblu at archlinux.org>
+# Contributor: Tom Gundersen <teg at jklm.no>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=btrfs-progs
+pkgver=5.6.1
+pkgrel=2
+pkgdesc='Btrfs filesystem utilities'
+arch=('x86_64')
+makedepends=('git' 'asciidoc' 'xmlto' 'systemd' 'python' 'python-setuptools' 'e2fsprogs' 'reiserfsprogs')
+depends=('glibc' 'libutil-linux' 'lzo' 'zlib' 'zstd' 'libgcrypt')
+optdepends=('python: libbtrfsutil python bindings'
+            'e2fsprogs: btrfs-convert'
+            'reiserfsprogs: btrfs-convert')
+url='https://btrfs.wiki.kernel.org'
+replaces=('btrfs-progs-unstable')
+conflicts=('btrfs-progs-unstable')
+provides=('btrfs-progs-unstable')
+license=('GPL2')
+validpgpkeys=('F2B41200C54EFB30380C1756C565D5F9D76D583B')
+source=("https://www.kernel.org/pub/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v$pkgver.tar."{sign,xz}
+        'initcpio-install-btrfs'
+        'initcpio-hook-btrfs'
+        'btrfs-scrub at .service'
+        'btrfs-scrub at .timer')
+install=btrfs-progs.install
+options=(!staticlibs)
+sha256sums=('SKIP'
+            '50ccf556b887018f35937626f9a6e799c1e69692778b2bb090d2a56c9bdc96db'
+            'bbe60b35d1b1e2efc1308a8f54f1fdc6808240a81c5f5b4d75321b7ee86e41f4'
+            '35efeee8590d6d60c711ae9cdc918e4841ab61d10cb02359e65e36ebff95ffc5'
+            '8b1f8a1176141c5c6abe772dcb93cd87c083c7415c856b4fcb563491c9916836'
+            '7cbeebee2a561e468c0ce1d33107fa968da76109df1b693e48b501971a462444')
+
+prepare() {
+  cd $pkgname-v$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  cd $pkgname-v$pkgver
+  ./configure --prefix=/usr --with-crypto=libgcrypt
+  make
+}
+
+check() {
+  cd $pkgname-v$pkgver
+ ./btrfs filesystem show
+}
+
+package() {
+  cd $pkgname-v$pkgver
+  make DESTDIR="$pkgdir" install install_python
+
+  # install bash completion (FS#44618)
+  install -Dm644 btrfs-completion "$pkgdir/usr/share/bash-completion/completions/btrfs"
+
+  # install mkinitcpio hooks
+  cd "$srcdir"
+  install -Dm644 initcpio-install-btrfs "$pkgdir/usr/lib/initcpio/install/btrfs"
+  install -Dm644 initcpio-hook-btrfs "$pkgdir/usr/lib/initcpio/hooks/btrfs"
+
+  # install scrub service/timer
+  install -Dm644 btrfs-scrub at .service "$pkgdir/usr/lib/systemd/system/btrfs-scrub at .service"
+  install -Dm644 btrfs-scrub at .timer "$pkgdir/usr/lib/systemd/system/btrfs-scrub at .timer"
+}
+
+# vim:set ts=2 sw=2 ft=sh et:

Deleted: core-x86_64/btrfs-progs.install
===================================================================
--- core-x86_64/btrfs-progs.install	2020-05-17 10:28:17 UTC (rev 385415)
+++ core-x86_64/btrfs-progs.install	2020-05-17 11:13:50 UTC (rev 385416)
@@ -1,15 +0,0 @@
-#!/bin/sh
-
-## arg 1:  the new package version
-## arg 2:  the old package version
-post_upgrade() {
-  if (( "$(vercmp "$2" 0.19.20121005)" < 0 )); then
-    echo 'btrfs multi-device support now relies on linux 3.6 or later'
-  elif (( "$(vercmp "$2" 4.3.1-2)" < 0 )); then
-    echo 'btrfs-scrub at .timer instance names must not be prefix by dash anymore'
-    echo 'use btrfs-scrub at -.timer to scrub / monthly'
-    echo '    btrfs-scrub at home.timer to scrub /home monthly.'
-  fi
-}
-
-# vim:set ts=2 sw=2 et:

Copied: btrfs-progs/repos/core-x86_64/btrfs-progs.install (from rev 385415, btrfs-progs/repos/testing-x86_64/btrfs-progs.install)
===================================================================
--- core-x86_64/btrfs-progs.install	                        (rev 0)
+++ core-x86_64/btrfs-progs.install	2020-05-17 11:13:50 UTC (rev 385416)
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+## arg 1:  the new package version
+## arg 2:  the old package version
+post_upgrade() {
+  if (( "$(vercmp "$2" 0.19.20121005)" < 0 )); then
+    echo 'btrfs multi-device support now relies on linux 3.6 or later'
+  elif (( "$(vercmp "$2" 4.3.1-2)" < 0 )); then
+    echo 'btrfs-scrub at .timer instance names must not be prefix by dash anymore'
+    echo 'use btrfs-scrub at -.timer to scrub / monthly'
+    echo '    btrfs-scrub at home.timer to scrub /home monthly.'
+  fi
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: core-x86_64/btrfs-scrub at .service
===================================================================
--- core-x86_64/btrfs-scrub at .service	2020-05-17 10:28:17 UTC (rev 385415)
+++ core-x86_64/btrfs-scrub at .service	2020-05-17 11:13:50 UTC (rev 385416)
@@ -1,8 +0,0 @@
-[Unit]
-Description=Btrfs scrub on %f
-
-[Service]
-Nice=19
-IOSchedulingClass=idle
-KillSignal=SIGINT
-ExecStart=/usr/bin/btrfs scrub start -B %f

Copied: btrfs-progs/repos/core-x86_64/btrfs-scrub at .service (from rev 385415, btrfs-progs/repos/testing-x86_64/btrfs-scrub at .service)
===================================================================
--- core-x86_64/btrfs-scrub at .service	                        (rev 0)
+++ core-x86_64/btrfs-scrub at .service	2020-05-17 11:13:50 UTC (rev 385416)
@@ -0,0 +1,8 @@
+[Unit]
+Description=Btrfs scrub on %f
+
+[Service]
+Nice=19
+IOSchedulingClass=idle
+KillSignal=SIGINT
+ExecStart=/usr/bin/btrfs scrub start -B %f

Deleted: core-x86_64/btrfs-scrub at .timer
===================================================================
--- core-x86_64/btrfs-scrub at .timer	2020-05-17 10:28:17 UTC (rev 385415)
+++ core-x86_64/btrfs-scrub at .timer	2020-05-17 11:13:50 UTC (rev 385416)
@@ -1,11 +0,0 @@
-[Unit]
-Description=Monthly Btrfs scrub on %f
-
-[Timer]
-OnCalendar=monthly
-AccuracySec=1d
-RandomizedDelaySec=1w
-Persistent=true
-
-[Install]
-WantedBy=multi-user.target

Copied: btrfs-progs/repos/core-x86_64/btrfs-scrub at .timer (from rev 385415, btrfs-progs/repos/testing-x86_64/btrfs-scrub at .timer)
===================================================================
--- core-x86_64/btrfs-scrub at .timer	                        (rev 0)
+++ core-x86_64/btrfs-scrub at .timer	2020-05-17 11:13:50 UTC (rev 385416)
@@ -0,0 +1,11 @@
+[Unit]
+Description=Monthly Btrfs scrub on %f
+
+[Timer]
+OnCalendar=monthly
+AccuracySec=1d
+RandomizedDelaySec=1w
+Persistent=true
+
+[Install]
+WantedBy=multi-user.target

Deleted: core-x86_64/initcpio-hook-btrfs
===================================================================
--- core-x86_64/initcpio-hook-btrfs	2020-05-17 10:28:17 UTC (rev 385415)
+++ core-x86_64/initcpio-hook-btrfs	2020-05-17 11:13:50 UTC (rev 385416)
@@ -1,7 +0,0 @@
-#!/usr/bin/ash
-
-run_hook() {
-    btrfs device scan
-}
-
-# vim: set ft=sh ts=4 sw=4 et:

Copied: btrfs-progs/repos/core-x86_64/initcpio-hook-btrfs (from rev 385415, btrfs-progs/repos/testing-x86_64/initcpio-hook-btrfs)
===================================================================
--- core-x86_64/initcpio-hook-btrfs	                        (rev 0)
+++ core-x86_64/initcpio-hook-btrfs	2020-05-17 11:13:50 UTC (rev 385416)
@@ -0,0 +1,7 @@
+#!/usr/bin/ash
+
+run_hook() {
+    btrfs device scan
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Deleted: core-x86_64/initcpio-install-btrfs
===================================================================
--- core-x86_64/initcpio-install-btrfs	2020-05-17 10:28:17 UTC (rev 385415)
+++ core-x86_64/initcpio-install-btrfs	2020-05-17 11:13:50 UTC (rev 385416)
@@ -1,17 +0,0 @@
-#!/bin/bash
-
-build() {
-    add_module btrfs
-    add_binary btrfs
-    add_binary btrfsck
-    add_runscript
-}
-
-help() {
-    cat <<HELPEOF
-This hook provides support for multi-device btrfs volumes. This hook
-is only needed for initramfs images which do not use udev.
-HELPEOF
-}
-
-# vim: set ft=sh ts=4 sw=4 et:

Copied: btrfs-progs/repos/core-x86_64/initcpio-install-btrfs (from rev 385415, btrfs-progs/repos/testing-x86_64/initcpio-install-btrfs)
===================================================================
--- core-x86_64/initcpio-install-btrfs	                        (rev 0)
+++ core-x86_64/initcpio-install-btrfs	2020-05-17 11:13:50 UTC (rev 385416)
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+build() {
+    add_module btrfs
+    add_binary btrfs
+    add_binary btrfsck
+    add_runscript
+}
+
+help() {
+    cat <<HELPEOF
+This hook provides support for multi-device btrfs volumes. This hook
+is only needed for initramfs images which do not use udev.
+HELPEOF
+}
+
+# vim: set ft=sh ts=4 sw=4 et:


More information about the arch-commits mailing list